This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

GetListOfAlertNotifications

1 - 1.4

get /v1/alerts/{id}/notifications

Description

Get list of Alert notifications

State ACTIVE (CURRENT)

VersionNot Before
1.4-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
Alert ID
Example : 3234bd0f12fa4d0b97ab9feff6c09b8e
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryuser_name
optional
User name
Example : 홍길동
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAlertNotificationsPageResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/alerts/{id}/notifications

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"

Example HTTP response

Response 200

{
    "alert_notifications": [
        {
            "activated_yn": "N",
            "alert_id": "",
            "created_at": "2024-01-15T10:30:00.000Z",
            "created_by": "",
            "id": "",
            "last_login_at": "2024-01-15T10:30:00.000Z",
            "modified_at": "2024-01-15T10:30:00.000Z",
            "modified_by": "",
            "user_created_at": "2024-01-15T10:30:00.000Z",
            "user_id": "",
            "user_name": ""
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}